<?php
/********************************************************************************/
/*     Copyright (C) 2004-2005 Jean-Sbastien H. ( ED ) ( Livebox-script.com )   			*/
/*                                                                               								*/
/*     This file is part of Uptime Script                                       						*/
/*                                                                               								*/
/*     Uptime Script is free software; you can redistribute it and/or modify     			*/
/*     it under the terms of the GNU General Public License as published by      			*/
/*     the Free Software Foundation; either version 2 of the License, or         			*/
/*     (at your option) any later version.                                      						*/
/*                                                                              								*/
/*     Uptime Script is distributed in the hope that it will be useful,         				*/
/*     but WITHOUT ANY WARRANTY; without even the implied warranty of          		*/
/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             	*/
/*     GNU General Public License for more details.                              					*/
/*                                                                               								*/
/*     You should have received a copy of the GNU General Public License         			*/
/*     along with Uptime Script; if not, write to the Free Software              				*/
/*     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA 		*/
/********************************************************************************/
/*                                                                              								*/
/*         Fichier data.php                                      								*/
/*         Cr le 31 aout 2006                                                						*/
/*                                                              									*/
/*         Derniere modification: 23 sept 2006   - v4.0.0.alpha-rev11           				*/
/*                                                                               								*/
/********************************************************************************/

class Data {


	private $uptime;
	private $ip;
	private $snr;
	private $attenuation;
	private $download;
	private $upload;
	private $voip;
		 
	public function __construct($uptime,$ip,$snr,$att,$download,$upload,$voip)	 {
		$this->uptime = $uptime;
		$this->ip = $ip;
		$this->snr = $snr;
		$this->attenuation = $att;
		$this->download = $download;
		$this->upload = $upload;
		$this->voip = $voip;		 		
	}



	public function getUptime() {
		return $this->uptime;
	}
	public function getIP() {
		return $this->ip;
	}		 
	public function getSNR() {
		return $this->snr;
	}
	
	public function getAttenuation() {
 		return $this->attenuation;
	}
	public function getDownload() {
		return $this->download;
	}
	
	public function getUpload() {
 		return $this->upload;
	}
	
	public function getVoIP() {
		return $this->voip;
	} 

  	public function __toString() {
		$toDisplay = "<h3>Data</h3>";
        $toDisplay .= "<ul>";	
        $get = $this->GetSNR();
        $toDisplay .= "<li><b>".I10N_SNR."</b>: ".$get." - ".gettype($get)."(".strlen($get).")";	
        $get = $this->GetAttenuation();
        $toDisplay .= "<li><b>".I10N_AFF."</b>: ".$get." - ".gettype($get)."(".strlen($get).")";
		$get = $this->GetIP();
        $toDisplay .= "<li><b>".I10N_IP."</b>: ".$get." - ".gettype($get)."(".strlen($get).")";
        $get = $this->GetVoIP();
        $toDisplay .= "<li><b>".I10N_VOIP."</b>: ".$get." - ".gettype($get)."(".strlen($get).")";	
		$get = $this->GetUptime();
        $toDisplay .= "<li><b>".I10N_UPTIME."</b>: ".$get." - ".gettype($get)."(".strlen($get).")";	
        $get = $this->GetDownload();
        $toDisplay .= "<li><b>".I10N_DOWNLOAD."</b>: ".$get." - ".gettype($get)."(".strlen($get).")";								        
        $get = $this->GetUpload();
        $toDisplay .= "<li><b>".I10N_UPLOAD."</b>: ".$get." - ".gettype($get)."(".strlen($get).")";												        
        $toDisplay .= "</ul>";
        return $toDisplay;	
    }
}
?>